New categorisation feature that not just sorts by, but also shows different article titles on the category page (e.g. "Einstein, Albert")
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
wikibugs-l
Projects
Reference
bz5116
Description

Author: ingoolemo

Description:
Some categories require not just the normal piping (such as [[Category:1945
births|Smith, John]]), but manipulation of how the links are presented on the
category page. In the sample I cite above, all aircraft are categorised by
manufacturer except U.S. military aircraft with nicknames. The Consolidated PB3Y and
the R3Y Tradewind, for example, are made by the same company but placed under
different letters. The category tag in for the R3Y could be piped of course
([[Category:Seaplanes and flying boats|Consolidated R3Y Tradewind]]), but a passerby
would be bewildered why an 'R' article was appearing in the 'C' section. Moving the
article to a new title seems like overkill, and violates WP:MOS. The easiest
solution is a kind of uber-pipe, so that [[Category:Seaplanes and flying
boats||Consolidated R3Y Tradewind]] (or whatever syntax is implemented) will cause
the link on the category page to show up as 'Consolidated R3Y Tradewind' instead
of 'R3Y Tradewind'.

My apologies if this isn't explained very well. I spent half an hour writing a good
explanation which promptly got deleted when I entered an invalid keyword.


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/wiki/Category:Seaplanes_and_flying_boats

bzimport added a project: MediaWiki-Categories.Via ConduitNov 21 2014, 9:08 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz5116.
bzimport created this task.Via LegacyFeb 27 2006, 7:56 AM
bzimport added a comment.Via ConduitFeb 27 2006, 10:14 AM

robchur wrote:

It's a nice explanation but it's lacking in a fairly critical area, namely, you
haven't said what it is you'd like us to change.

bzimport added a comment.Via ConduitFeb 27 2006, 1:00 PM

dungodung wrote:

As I get it, you should change markup so that double pipe within [[Category: ]]
links would determine under which article name should the article be listed in
the appropriate category.

bzimport added a comment.Via ConduitFeb 27 2006, 5:41 PM

ingoolemo wrote:

Oh, that's embarassing. Here's what I want to change:

A new feature should be added that allows manipulation of the links on the
Category page. With the double pipe, or whatever syntax is eventually employed,
[[Category:Foo||Bar]] does not just make the article sort as if it were
titled 'Bar', it also changes the title seen on the category page.

bzimport added a comment.Via ConduitFeb 27 2006, 6:50 PM

ingoolemo wrote:

Please note that I am not proposing that we use the 'uber-piping' described in the
example above. It should '''only''' be used for a relatively specialised group of
category. Thusfar, the only ones I can come up with are multinational aircraft
categories and American aircraft categories that include both civil and military.

bzimport added a comment.Via ConduitFeb 27 2006, 10:09 PM

emt147 wrote:

That would be extremely useful. Page naming conventions and category sorting
conventions are not always one and the same.

bzimport added a comment.Via ConduitMar 1 2006, 5:11 AM

ayg wrote:

It would also be appropriate for all biography articles. Last, First is the
conventional way to order things. Likewise for a vast variety of articles,
really; it's just completely confusing for things to be ordered differently from
how they're written out.

bzimport added a comment.Via ConduitMar 2 2006, 10:39 PM

robchur wrote:

*** This bug has been marked as a duplicate of 491 ***

bzimport added a comment.Via ConduitMar 4 2006, 1:26 AM

ingoolemo wrote:

This bug has been marked resolved, though I haven't seen it in action yet.

One final addendum: my proposal above is slightly flawed, because the name under
which an article should be categorised by is not always the same as the name of
the link displayed. In the example above, the R3Y Tradewind, the category tag
should look like [[Category:Seaplanes and flying boats|Consolidated RY3
Tradewind|Consolidated R3Y Tradewind]]. This will make the link displayed on the
category page appear as 'R3Y', but will alphabetise it as RY3. This is because
of the U.S. Navy designation system, in which the letters 'R3Y' are read as 'the
third (3) cargo plane (R) built for the navy by Consolidated (Y)'. Thus, it
makes more sense to have the planes in the order RD, R2D, R3D, R4D, RY, R2Y, R3Y
than it does to order them RD, RY, R2D, R2Y, R3D, R3Y, R4D.

In general, maximising flexibility in this manner is probably the most prudent
thing to do, because we don't always know that the preferred link title is the
same as the proper title for alphabetisation.

bzimport added a comment.Via ConduitMar 4 2006, 4:48 PM

robchur wrote:

(In reply to comment #8)

This bug has been marked resolved, though I haven't seen it in action yet.

It's also been marked as a duplicate of bug 491 which hasn't been resolved.
Hence the reason you haven't seen it yet.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.